summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Golle2025-04-21 18:04:45 +0000
committerDaniel Golle2025-04-21 18:04:45 +0000
commit493b0cd8176ac53ba6377c09d8eb591afe6e0cd3 (patch)
tree4d65d62e7670a82e172b88dea54b23d7c3e91064
parent7ea0f647b9f55a6c945499d9968ba9ef43e7a5f6 (diff)
downloadopenwrt-493b0cd8176ac53ba6377c09d8eb591afe6e0cd3.tar.gz
mediatek: mt7623: validate uImage.FIT
Validate the uImage.FIT instead of only checking the image magic. Signed-off-by: Daniel Golle <daniel@makrotopia.org>
-rwxr-xr-xtarget/linux/mediatek/mt7623/base-files/lib/upgrade/platform.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/target/linux/mediatek/mt7623/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/mt7623/base-files/lib/upgrade/platform.sh
index ce40e26afb..c8ad976651 100755
--- a/target/linux/mediatek/mt7623/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/mt7623/base-files/lib/upgrade/platform.sh
@@ -123,10 +123,8 @@ platform_check_image() {
case "$(board_name)" in
bananapi,bpi-r2|\
unielec,u7623-02)
- [ "$magic" != "d00dfeed" ] && {
- echo "Invalid image type."
- return 1
- }
+ fit_check_image "$1"
+ return $?
;;
unielec,u7623-02-emmc-512m)
# Can always upgrade to the new-style full image